Kerbal Space Program - Bug #9825

VAB casts strange shadows at KSC
06/02/2016 09:29 PM - achurch

Status: Closed Start date: 06/02/2016
Severity: Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 1.1.2 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

When the sun sinks behind the VAB at KSC, its shadow fades out partway up the screen, dependent on camera elevation but
regardless of camera azimuth.

The first screenshot (attached) shows the broken shadow, with the relative positions of the sun and VAB for reference. The second
screenshot shows a better view of the bug; note how the shadow starts at the expected place, but then fades out toward the VAB,
leaving the area close to the VAB in ordinary daylight. The third screenshot shows how the bug manifests regardless of camera
azimuth -- note how the sharp shadow edge parallel to the VAB on the left side of the screen changes to a blurry edge, whose Y
coordinate is affected only by terrain height, when it reaches the crawlerway.

My rendering settings are:

- Render Quality: Simple

- Texture Quality: Full Res

- Aerodynamic FX Quality: Normal

- Edge Highlighting (PPFX): disabled
- Surface FX: enabled

- Underwater FX: disabled

- Orbit Line Fade Strength: 100%

- Orbit Line Fade Reversed: enabled

In case it's a hardware-specific or driver-specific issue, I'm using an NVIDIA GTS 450 with the NVIDIA driver version 367.18.

History

#1 - 07/17/2016 09:56 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 07/17/2016 12:44 PM - achurch

What needs clarification here?

#3 - 07/17/2016 11:50 PM - TriggerAu

Hi achurch - same as http://bugs.kerbalspaceprogram.com/issues/9365#note-14

Not an indication of an issue wit hthe bug report, just trying to make sure it exists in 1.1.3 and we can get it confirmed

#4 - 07/18/2016 12:03 AM - achurch
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

Sorry, | thought | had reported this under 1.1.3. Yes, the problem is still present in 1.1.3, same symptoms.

Also, thanks for the pointer to the forum post -- | saw the mass update but hadn't been able to find any explanation of why it was done.

#5 - 05/31/2017 06:12 AM - achurch
- File screenshot8.png added
http://bugs.kerbalspaceprogram.com/issues/9365#note-14

FYI, this is still present in version 1.3 (build 1804) - confirmed inside the VAB (which is probably an easier way to test the bug).

#6 - 06/09/2017 04:50 AM - JPLRepo
- Status changed from Updated to Need More Info
- % Done changed from 10 to 0

The shadow in the VAB is different to the one outside. Do you still see the issue on the outside of the VAB?
Inside the VAB is a different camera setup.
Essentially what you are seeing is a Unity "feature" of shadows called far clipping plane shadow fade out.

#7 - 06/09/2017 06:03 AM - achurch
- File screenshot9.png added
- File screenshot10.png added

Fair enough; Unity lossage noted.

That said, shadows are still broken outside the VAB -- but in a different way: it's as though the shadow is being generated as a sphere around the
camera position, leading to strangeness like the area immediately in front of the VAB being lit even when the VAB is casting shadows far away
(screenshot9.png) or "candy-wrapper" shaped shadows (screenshot10.png).

#8 - 06/09/2017 10:45 PM - JPLRepo

| don't see that at all.. looks fine to me.

Can you please supply some more information.

What graphics settings you have set in the game. What graphics card (Specs) and OS are you running?
thanks.

#9 - 06/10/2017 04:42 AM - achurch

Graphics render quality was set to "Simple" - changing it to "Good" fixed the spherical shadow problem. It looks like the behavior of "Simple" changed

between versions 1.2.2 and 1.3.

At "Good", | still see something similar to the original problem if | zoom very far out (I guess it's another case of Unity), but it's no longer an issue at
normal zoom levels, so you can go ahead and close out this bug.

#10 - 06/12/2017 04:49 PM - bewing
- Status changed from Need More Info to Resolved

- % Done changed from 0 to 100

Closing as requested.

#11 - 06/22/2017 08:39 PM - Squelch

- Status changed from Resolved to Closed
